## org.apache.fop.datatypes
Class LengthBase

    java.lang.Object
      |
      +--org.apache.fop.datatypes.LengthBase

public class LengthBase
extends java.lang.Object
implements PercentBase

Field Summary
`static int` `CONTAINING_BOX`
`static int` `CONTAINING_REFAREA`
`static int` `CUSTOM_BASE`
`static int` `FONTSIZE`
`static int` `INH_FONTSIZE`
`protected FObj` `parentFO` FO parent of the FO for which this property is to be calculated.

Constructor Summary
`LengthBase(FObj parentFO, PropertyList plist, int iBaseType)`

Method Summary
`int` `getBaseLength()`
`double` `getBaseValue()`
`int` `getDimension()`
`protected FObj` `getParentFO()` Accessor for parentFO object from subclasses which define custom kinds of LengthBase calculations.
`protected PropertyList` `getPropertyList()` Accessor for propertyList object from subclasses which define custom kinds of LengthBase calculations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_BASE

    public static final int CUSTOM_BASE

### FONTSIZE

    public static final int FONTSIZE

### INH_FONTSIZE

    public static final int INH_FONTSIZE

### CONTAINING_BOX

    public static final int CONTAINING_BOX

### CONTAINING_REFAREA

    public static final int CONTAINING_REFAREA

### parentFO

    protected FObj parentFO

  FO parent of the FO for which this property is to be calculated.

Constructor Detail

### LengthBase

    public LengthBase(FObj parentFO,
                      PropertyList plist,
                      int iBaseType)

Method Detail

### getParentFO

    protected FObj getParentFO()

  Accessor for parentFO object from subclasses which define custom kinds of LengthBase calculations.

### getPropertyList

    protected PropertyList getPropertyList()

  Accessor for propertyList object from subclasses which define custom kinds of LengthBase calculations.

### getDimension

    public int getDimension()

  Specified by:
    getDimension in interface PercentBase

### getBaseValue

    public double getBaseValue()

  Specified by:
    getBaseValue in interface PercentBase

### getBaseLength

    public int getBaseLength()

  Specified by:
    getBaseLength in interface PercentBase

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.